Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all active mailing lists
        • Get mailing list details
        • Get all active mailing lists with paging
        • Create a mailing list
        • Update a mailing list
        • Delete a mailing list
        • Create a custom field
        • Update a custom field
        • Remove a custom field
  1. Mailing lists
  1. API reference
  2. Mailing lists
  3. Update a mailing list

Update a mailing list

POST /lists/{MailingListID}/update.{Format}

Updates the properties of an existing email list in your account. You can update the email list name, confirmation page, and redirect page URLs.

Request

ParameterInTypeRequiredDescription
AcceptheaderstringtrueDetermines the expected format and data type to retrieve the response data.Value: application/json
MailingListIDpathstringtrueThe ID of the email list to be updated.
FormatpathstringtrueThe supported file format for getting a response.Possible values: json and xml.
apikeyquerystringtrueThe API key of your account.
NamebodystringtrueThe name of the email list.
ConfirmationPagebodystringfalseThe URL of the page displayed at the end of the subscription process.
RedirectAfterUnsubscribePagebodystringfalseThe URL of the redirect page when users unsubscribe from your email list.
PreferencesbodyarraytrueThe Preferences field options.SelectType The data type of the field.Possible values can be SingleSelect or MultiSelect. Required field.Options Max options 10IsRequired If the field is required. Default value false.
PreferencePageIdbodystringfalseThe preference page id.
http
POST https://{hostname}/v3/lists/{MailingListID}/update.{Format}?apikey=

Request body:
{
    "Name":"New List",
    "ConfirmationPage":"www.someUrl.com",
    "RedirectAfterUnsubscribePage":"www.someUrl.com",
    "Preferences": {
        "SelectType": "SingleSelect",
        "Options": \[
            "option a",
            "option b"
        \]
    },
    "PreferencePageId" : null
}
curl
curl --include --globoff --location \\
     --request POST \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     --data-raw '{
    "Name": "New List Name",
    "ConfirmationPage": "www.someotherUrl.com",
    "RedirectAfterUnsubscribePage": "www.someUrl.com",
    "Preferences": {
        "SelectType": "SingleSelect",
        "Options": \[
            "option a",
            "option b"
        \]
    },
    "PreferencePageId": null
}' \\
'https://{hostname}/v3/lists/{MailingListID}/update.{Format}?apikey='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/json
N/A
json
{
  "Code": 0,
  "Error": null,
  "Context": "e5f6c0a3-1fe6-4d89-951e-eafae0b01368"
}
  • Code - the response code. This is 0 if successful.

  • Error - the response error message. This is null if successful.

  • Context - the ID of the updated email list.

If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use